//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
	pracownicy=new TList;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
	if (!Edit1->Text.IsEmpty() && !Edit2->Text.IsEmpty() && !Edit3->Text.IsEmpty() && !Edit4->Text.IsEmpty())
	{
		unsigned int l=pracownicy->Count;
		TPracownik* pracownik=new TPracownik;
		pracownik->Imie=Edit1->Text;
		pracownik->Nazwisko=Edit2->Text;
		pracownik->KodStanowiska=StrToInt(Edit3->Text);
		pracownik->Pensja=StrToInt(Edit4->Text);
		pracownik->FunduszPracowniczy=StrToInt(Edit5->Text);
		pracownik->PremiaProcent=StrToInt(Edit6->Text);
		pracownicy->Add(pracownik);
		ShowMessage("Do listy pracowników dodałem rekord nr "+IntToStr(l));
		Edit1->Text=""; Edit2->Text="";
		Edit3->Text="0";
		Edit4->Text="0"; Edit5->Text="0"; Edit6->Text="0";
	}
	else ShowMessage("Należy wypełnić wszystkie oznaczone pola");

}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
	AnsiString s="Lista pracowników:\n";
	for(int i=0;i<pracownicy->Count;i++)
	{
		TPracownik* pracownik=(TPracownik*)pracownicy->Items[i];
		s+=pracownik->Imie+" "+pracownik->Nazwisko+" ("+IntToStr(pracownik->KodStanowiska)+")\n";
	}
	s+="\nLiczba rekordów: "+IntToStr(pracownicy->Count);
	ShowMessage(s);
}
//---------------------------------------------------------------------------

